Loading...
Searching...
No Matches
D3D11LegacyGregoryPatchTable Class Reference

`#include <d3d11LegacyGregoryPatchTable.h>`

Inheritance diagram for D3D11LegacyGregoryPatchTable:

## Public Member Functions

| ~D3D11LegacyGregoryPatchTable ()
void | UpdateVertexBuffer (ID3D11Buffer *vbo, int numVertices, int numVertexElements, ID3D11DeviceContext *pd3d11DeviceContext)
ID3D11ShaderResourceView * | GetVertexSRV () const
ID3D11ShaderResourceView * | GetVertexValenceSRV () const
ID3D11ShaderResourceView * | GetQuadOffsetsSRV () const
int | GetQuadOffsetsBase (Far::PatchDescriptor::Type type)

## Static Public Member Functions

template<typename DEVICE_CONTEXT>
static D3D11LegacyGregoryPatchTable * | Create (Far::PatchTable const *farPatchTable, DEVICE_CONTEXT context)
static D3D11LegacyGregoryPatchTable * | Create (Far::PatchTable const *farPatchTable, ID3D11DeviceContext *deviceContext)

## Protected Member Functions

| D3D11LegacyGregoryPatchTable ()

## Detailed Description

Definition at line 43 of file d3d11LegacyGregoryPatchTable.h.

## Constructor & Destructor Documentation

## ~D3D11LegacyGregoryPatchTable()

~D3D11LegacyGregoryPatchTable | ( |  | ) |

## D3D11LegacyGregoryPatchTable()

D3D11LegacyGregoryPatchTable | ( |  | ) |

protected

## Member Function Documentation

## Create() [1/2]

template<typename DEVICE_CONTEXT>

D3D11LegacyGregoryPatchTable * Create | ( | Far::PatchTable const * | farPatchTable,
|  | DEVICE_CONTEXT | context )

inline static

Definition at line 49 of file d3d11LegacyGregoryPatchTable.h.

## Create() [2/2]

D3D11LegacyGregoryPatchTable * Create | ( | Far::PatchTable const * | farPatchTable,
|  | ID3D11DeviceContext * | deviceContext )

static

## GetQuadOffsetsBase()

int GetQuadOffsetsBase | ( | Far::PatchDescriptor::Type | type | ) |

inline

Definition at line 74 of file d3d11LegacyGregoryPatchTable.h.

## GetQuadOffsetsSRV()

ID3D11ShaderResourceView * GetQuadOffsetsSRV | ( |  | ) | const

inline

Definition at line 70 of file d3d11LegacyGregoryPatchTable.h.

## GetVertexSRV()

ID3D11ShaderResourceView * GetVertexSRV | ( |  | ) | const

inline

Definition at line 62 of file d3d11LegacyGregoryPatchTable.h.

## GetVertexValenceSRV()

ID3D11ShaderResourceView * GetVertexValenceSRV | ( |  | ) | const

inline

Definition at line 66 of file d3d11LegacyGregoryPatchTable.h.

## UpdateVertexBuffer()

void UpdateVertexBuffer | ( | ID3D11Buffer * | vbo,
|  | int | numVertices,
|  | int | numVertexElements,
|  | ID3D11DeviceContext * | pd3d11DeviceContext )

The documentation for this class was generated from the following file:

- opensubdiv/osd/d3d11LegacyGregoryPatchTable.h